Page MenuHomePhabricator

Font size of page description, warning box, toolbar, edit buttons and other elements too large
Closed, ResolvedPublicBUG REPORT

Description

What is the problem?

While editing, the font size of the toolbar and buttons is 16px, while the font size of the articles content (when reading it or viewing preview) is 14px.

Note that this varies depending on the default font size you have set in your browser. By default (on Firefox at least) this is 16px. If you increase this to, say, 20px the toolbar/buttons are 20px and the article content is 17.5px.

I think we want the font size of all/most the elements on the page to be the same.

This occurs regardless of whether you have Realtime Preview enabled or not, or whether you have the 2010 editing toolbar (WikiEditor) enabled or not.

This was originally raised in T322337#8371320.

Steps to reproduce problem
  1. https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Selenium_Echo_link_test_0.10199512259694399_0.10199512259694399&action=edit
  2. Click "Show preview"
  3. Compare the font size of the article's content with the toolbar or the buttons

Expected behavior: They should be the same.
Observed behavior: The latter are larger.

Environment

Browser: Firefox, Chrome, Safari
Wiki(s): https://en.wikipedia.beta.wmflabs.org MediaWiki 1.40.0-alpha (02a97c8) 10:21, 9 November 2022.
Skin: Vector 1.0.0 (32230c1) 08:01, 9 November 2022.
Editor: WikiEditor 0.5.3 (c621738) 07:59, 9 November 2022.

Screenshots

different_font_sizes.png (1×1 px, 257 KB)

Related Objects

Event Timeline

Jdlrobson added a subscriber: Jdlrobson.

@TheresNoTime Note the eventual end goal is to use 16px everywhere on Vector 2022. That will likely impact what you do here so I've added this as a subtask.

TheresNoTime changed the task status from Open to Stalled.Nov 23 2022, 2:20 AM
TheresNoTime changed the status of subtask T321728: Preview font size has increased in Vector 2022 from Open to Stalled.

@Jdlrobson you mentioned

eventual end goal is to use 16px everywhere on Vector 2022

Thanks for letting us know, we discussed this at the project meeting today. By eventual end goal, do you know when this will be the case? When it's official we are happy to hard code the 16px in as the preview font. Let us know!

I don't have an exact date, but I doubt it will be before March next year.

TheresNoTime changed the task status from Stalled to In Progress.Dec 8 2022, 7:09 PM
TheresNoTime changed the status of subtask T321728: Preview font size has increased in Vector 2022 from Stalled to In Progress.

Change 881746 had a related patch set uploaded (by Samwilson; author: Samwilson):

[mediawiki/skins/Vector@master] Fix font-size adjustments for narrow width

https://gerrit.wikimedia.org/r/881746

Change 881746 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Fix font-size adjustments for narrow width

https://gerrit.wikimedia.org/r/881746

But for the highlighted texts, the font sizes are consistent.
@matmarex , this is the expected result I believe.

Screenshot 2023-01-25 at 20.19.25.png (2×2 px, 424 KB)

That looks correct to me, I think those are intentionally using smaller font size.

ppelberg claimed this task.